Summary: light weight relational database management system
Name: msql
Version: 2.0.5
Release: 1

Source: msql-2.0.5.tar.gz
Source1: msql.init
Patch: msql-rh-build.patch
Copyright: free for non-commercial use
Group: Applications/Databases
Prereq: /sbin/chkconfig

Packager: Andrea Borgia <borgia@students.cs.unibo.it>


%description
Mini SQL, or mSQL as is it often called, is a light weight relational
database management system. It has been designed to provide rapid access to
data sets with as little system overhead as possible. The system itself is
comprised of a database server and various tools that allow a user or a
client application to communicate with the server. Although mSQL uses the
Structured Query Language (SQL) as its query language, it does not provide a
complete implementation of the ANSI standard SQL. Several features of SQL
that are found in more recent versions of the ANSI standard and in more
sophisticated database systems are not provided by mSQL


%prep
%setup
%patch -p1
make target
cd targets/`uname -s`-`uname -r`-`uname -m`
./setup


%build
cd targets/`uname -s`-`uname -r`-`uname -m`
make all


%install
cd targets/`uname -s`-`uname -r`-`uname -m`
make install
install -m0755 $RPM_SOURCE_DIR/msql.init /etc/rc.d/init.d/msql


%pre
useradd -M -o -r -d /usr/lib/Hughes -s /bin/bash \
	-c "mSQL server" msql >/dev/null 2>&1 || :


%preun
if [ $1 = 0 ] ; then
	chkconfig --del msql
fi


%postun
if [ $1 = 0 ] ; then
	userdel msql >/dev/null 2>&1 || : 
fi


%files
%defattr(-, msql, msql)
/usr/lib/Hughes
%attr(-, root, root) %config /etc/rc.d/init.d/msql


%%changelog
* Sun Dec 27 1998 Andrea Borgia <borgia@students.cs.unibo.it>
- first packaged (and started changelog)
- note: no docdir, thanks to the authors that have put everything in one dir
- note: no buildroot, either: authors prevent you from doing it easily
